pro zad12_1, plik, maplimit=maplimit, paleta=paleta, nlev=nlev

  ; ustawienia domylne
  if not keyword_set(maplimit) then maplimit = [45, 10, 60, 30] ; lat_min, lon_min, lat_max, lon_max
  if not keyword_set(paleta) then paleta = 1 ; domylnie odcienie niebieskiego
  if not keyword_set(nlev) then nlev = 20    ; domylnie 20 izolinii
  
  ; pobranie z plikw HDF danych ograniczonych do obszaru okolic Polski
  id_hdf = hdf_sd_start(plik, /read)
  id_sds = hdf_sd_select(id_hdf, hdf_sd_nametoindex(id_hdf, 'SLP'))
  hdf_sd_dimget, hdf_sd_dimgetid(id_sds, 0), scale=data_lon
  hdf_sd_dimget, hdf_sd_dimgetid(id_sds, 1), scale=data_lat
  lons = where(data_lon ge maplimit[1] and data_lon le maplimit[3])
  lats = where(data_lat ge maplimit[0] and data_lat le maplimit[2])
  hdf_sd_getdata, id_sds, data, $
    start=[lons[0], lats[0], 0], count=[n_elements(lons), n_elements(lats), 1]
  hdf_sd_end, id_hdf
  data_lon = data_lon(lons)
  data_lat = data_lat(lats)
  data = temporary(data)/100 - 1000 ; Pa -> hPa - 1000

  ; rysowanie mapy
  set_plot, 'svg'
  loadct, paleta
  device, filename='zad12_1.svg'
  map_set, .5*(maplimit[0] + maplimit[2]), .5*(maplimit[1] + maplimit[3]), $
    limit=maplimit, /gnomic, /noborder, title='NASA MERRA SLP - 1000 [hPa] 2001.01'
  contour, data, data_lon, data_lat, /overplot, nlev=nlev, /fill
  contour, data, data_lon, data_lat, /overplot, nlev=nlev, /follow
  map_continents, /countries, /coasts, color=!P.BACKGROUND
  map_grid, /label, glinestyle=0, latlab=maplimit[3], lonlab=maplimit[2]
  device, /close

end
